#ifndef _PCF8583_H
#define _PCF8583_H

#define YEAR_BASE 1900

struct Time {
   unsigned char hr;
   unsigned char mi;
   unsigned char se;
};

struct Date {
   unsigned char yr;
   unsigned char mo;
   unsigned char da;
   unsigned char weekday;
};
	
void pcf8583_write(struct Time *p_t, struct Date *p_d);
void pcf8583_control(unsigned char control_reg);
void pcf8583_read(struct Time *p_t, struct Date *p_d);
void pcf8583_setclk(struct Time *p_t, struct Date *p_d);
unsigned char pcf8583_check(void);

#endif
